<?php echo $header; ?><?php echo $column_left; ?>

<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-mts" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a>
            </div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>

    <div class="container-fluid">

        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_settings; ?></h3>
            </div>
            <div class="panel-body">
                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-mts" class="form-horizontal">

                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_status; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_status" class="form-control">
                                <option value="1" <?php echo $mts_status == 1 ? 'selected="selected"' : ''; ?>><?php echo $status_enabled; ?></option>
                                <option value="0" <?php echo $mts_status == 0 ? 'selected="selected"' : ''; ?>><?php echo $status_disabled; ?></option>
                            </select>
                        </div>
                    </div>


<?php if ($api_version == "2") { ?>
                    <!-- token -->
                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="">
                            <?php echo $entry_merchantToken; ?>
                        </label>
                        <div class="col-sm-9">
                            <input type="password" name="mts_merchantToken" value="<?php echo $mts_merchantToken; ?>" class="form-control" />
                        </div>
                    </div>
<?php } else { ?>
                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="">
                            <?php echo $entry_merchantLogin; ?>
                        </label>
                        <div class="col-sm-9">
                            <input type="text" name="mts_merchantLogin" value="<?php echo $mts_merchantLogin; ?>" class="form-control" />
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="">
                            <?php echo $entry_merchantPassword; ?>
                        </label>
                        <div class="col-sm-9">
                            <input type="password" name="mts_merchantPassword" value="<?php echo $mts_merchantPassword; ?>" class="form-control" />
                        </div>
                    </div>
<?php } ?>
                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_mode; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_mode" class="form-control">
                                <option value="test" <?php echo $mts_mode == 'test' ? 'selected="selected"' : ''; ?>><?php echo $mode_test; ?></option>
                                <option value="prod" <?php echo $mts_mode == 'prod' ? 'selected="selected"' : ''; ?>><?php echo $mode_prod; ?></option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_stage; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_stage" class="form-control">
                                <option value="one" <?php echo $mts_stage == 'one' ? 'selected="selected"' : ''; ?>><?php echo $stage_one; ?></option>
                                <option value="two" <?php echo $mts_stage == 'two' ? 'selected="selected"' : ''; ?>><?php echo $stage_two; ?></option>
                            </select>
                        </div>
                    </div>

                    <?php if ($mts_mts_cacert_enable_option) { ?>
                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_mts_cacert_enable; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_mts_cacert_enable" class="form-control">
                                <option value="1" <?php echo $mts_mts_cacert_enable == 1 ? 'selected="selected"' : ''; ?>><?php echo $mts_cacert_enabled; ?></option>
                                <option value="0" <?php echo $mts_mts_cacert_enable == 0 ? 'selected="selected"' : ''; ?>><?php echo $mts_cacert_disabled; ?></option>
                            </select>
                        </div>
                    </div>
                    <?php }?>

                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="input-order-status-before"><?php echo $entry_order_status_before; ?></label>
                        <div class="col-sm-9">
                            <select name="mts_order_status_before_id" id="input-order-status-before" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $mts_order_status_before_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="input-order-status-completed"><?php echo $entry_order_status_completed; ?></label>
                        <div class="col-sm-9">
                            <select name="mts_order_status_completed_id" id="input-order-status-completed" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $mts_order_status_completed_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

<?php if ($mts_enable_refund_options == true) { ?>
                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="input-order-status-reversed"><?php echo $entry_order_status_reversed; ?></label>
                        <div class="col-sm-9">
                            <select name="mts_order_status_reversed_id" id="input-order-status-reversed" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $mts_order_status_reversed_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="input-order-status-refunded"><?php echo $entry_order_status_refunded; ?></label>
                        <div class="col-sm-9">
                            <select name="mts_order_status_refunded_id" id="input-order-status-refunded" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $mts_order_status_refunded_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
<?php } ?>
                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="mts_payment_sort_order">
                            <?php echo $entry_sortOrder; ?>
                        </label>
                        <div class="col-sm-9">
                            <input type="text" name="mts_payment_sort_order" id="mts_payment_sort_order" value="<?php echo $mts_payment_sort_order; ?>" class="form-control" />
                        </div>
                    </div>

<?php if ($enable_back_url_settings == true) { ?>
                    <!-- backToShopURL -->
                    <div class="form-group">
                        <label class="col-sm-3 control-label" for="">
                            <?php echo $entry_backToShopURL; ?>
                        </label>
                        <div class="col-sm-9">
                            <input type="text" name="mts_backToShopURL" id="mts_backToShopURL" value="<?php echo $mts_backToShopURL; ?>" class="form-control" />
                        </div>
                    </div>
<?php } ?>


                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_logging; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_logging" class="form-control">
                                <option value="1" <?php echo $mts_logging == 1 ? 'selected="selected"' : ''; ?>><?php echo $logging_enabled; ?></option>
                                <option value="0" <?php echo $mts_logging == 0 ? 'selected="selected"' : ''; ?>><?php echo $logging_disabled; ?></option>
                            </select>
                        </div>
                    </div>

                    <?php if ($mts_enable_cart_options == true) { ?>
                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_send_cart; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_send_cart" class="form-control">
                                <option value="1" <?php echo $mts_send_cart == 1 ? 'selected="selected"' : ''; ?>><?php echo $entry_send_cart_enabled; ?></option>
                                <option value="0" <?php echo $mts_send_cart == 0 ? 'selected="selected"' : ''; ?>><?php echo $entry_send_cart_disabled; ?></option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_versionFfdFormat; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_version_ffd" class="form-control">
                                <?php foreach ($versionFfdList as $version) { ?>
                                <option value="<?php echo $version['value']; ?>" <?php echo $version['value'] == $mts_version_ffd ? 'selected="selected"' : '';?>>
                                <?php echo $version['value'] == 0 ? $version['title'] : $version['title']; ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_taxSystem; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_taxSystem" class="form-control">
                                <?php foreach ($taxSystem_list as $taxSystem) { ?>
                                <option value="<?php echo $taxSystem['numeric']; ?>" <?php echo $taxSystem['numeric'] == $mts_taxSystem ? 'selected="selected"' : '';?>>
                                <?php echo $taxSystem['numeric'] == 0 ? $taxSystem['alphabetic'] : $taxSystem['alphabetic']; ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_taxType; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_taxType" class="form-control">
                                <?php foreach ($taxType_list as $taxType) { ?>
                                <option value="<?php echo $taxType['numeric']; ?>" <?php echo $taxType['numeric'] == $mts_taxType ? 'selected="selected"' : '';?>>
                                <?php echo $taxType['numeric'] == 0 ? $taxType['alphabetic'] : $taxType['alphabetic']; ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_paymentMethod; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_paymentMethodType" class="form-control">
                                <?php foreach ($paymentMethodTypeList as $paymentMethodType) { ?>
                                <option value="<?php echo $paymentMethodType['numeric']; ?>" <?php echo $paymentMethodType['numeric'] == $mts_paymentMethodType ? 'selected="selected"' : '';?>>
                                <?php echo $paymentMethodType['numeric'] == 0 ? $paymentMethodType['alphabetic'] : $paymentMethodType['alphabetic']; ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <!-- delivery method -->
                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_paymentMethodDelivery; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_paymentMethodTypeDelivery" class="form-control">
                                <?php foreach ($paymentMethodTypeList as $paymentMethodType) { ?>
                                <option value="<?php echo $paymentMethodType['numeric']; ?>" <?php echo $paymentMethodType['numeric'] == $mts_paymentMethodTypeDelivery ? 'selected="selected"' : '';?>>
                                <?php echo $paymentMethodType['numeric'] == 0 ? $paymentMethodType['alphabetic'] : $paymentMethodType['alphabetic']; ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <!-- object -->
                    <div class="form-group">
                        <label class="col-sm-3 control-label">
                            <?php echo $entry_paymentObject; ?>
                        </label>
                        <div class="col-sm-9">
                            <select name="mts_paymentObjectType" class="form-control">
                                <?php foreach ($paymentObjectTypeList as $paymentObjectType) { ?>
                                <option value="<?php echo $paymentObjectType['numeric']; ?>" <?php echo $paymentObjectType['numeric'] == $mts_paymentObjectType ? 'selected="selected"' : '';?>>
                                <?php echo $paymentObjectType['numeric'] == 0 ? $paymentObjectType['alphabetic'] : $paymentObjectType['alphabetic']; ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <?php } ?>

                </form>
            </div>
        </div>
    </div>
</div>
<?php echo $footer; ?>